import FWCore.ParameterSet.Config as cms
PhotosppPythia8TauSettings = cms.untracked.PSet(
    parameterSets = cms.vstring("UseHadronizerQEDBrem","suppressAll","setMomentumConservationThreshold","forceBremForDecay"),
    #setExponentiation = cms.bool(True),
    #setInfraredCutOff = cms.double(0.0001),
    setMomentumConservationThreshold = cms.double(14000.), # 0.5GeV
    suppressAll = cms.bool(True),
    forceBremForDecay = cms.PSet(
        parameterSets = cms.vstring("TaupTopinu",
                                    "TaupToKnu",
                                    #"TaupTopipi0nu",
                                    "TaupToKK0nu",
                                    "TaupToKetanu",
                                    "TaupToK0pinu",
                                    "TaupToKpi0nu",
                                    "TaupTopipi0pi0nu",
                                    "TaupTopipipinu",
                                    "TaupToK0pipi0nu",
                                    "TaupToKpipinu",
                                    "TaupToKpiKnu",
                                    "TaupToKpi0K0nu",
                                    "TaupToKs0piKl0nu",
                                    "TaupToKpi0pi0nu",
                                    "TaupToKl0piKl0nu",
                                    "TaupToKs0piKs0nu",
                                    "TaupTopipi0etanu",
                                    #"TaupTopipi0nugamma",
                                    "TaupTo3pipi0nu",
                                    "TaupTopi3pi0nu",
                                    "TaupTo3pi2pi0nu",
                                    "TaupTopi4pi0nu",
                                    "TaupTo5pinu",
                                    "TaupTo3pietanu",
                                    "TaupTopi2pi0etanu",
                                    "TaupTopipi0pi0omeganu",
                                    "TaupTopipipiomeganu",
                                    "TaupToKomegapi0nu",
                                    "TaupToKpi0pi0pi0nu",
                                    "TaupToKpipipi0nu",
                                    "TaupToKstaretanu",
                                    "TaupToK0pipi0pi0nu",
                                    "TaupTopipipiK0nu",
                                    "TaupToK0piK0pi0nu",
                                    "TaupToKpiKpi0nu",
                                    "TaumTopinu",
                                    "TaumToKnu",
                                    #"TaumTopipi0nu",
                                    "TaumToKK0nu",
                                    "TaumToKetanu",
                                    "TaumToK0pinu",
                                    "TaumToKpi0nu",
                                    "TaumTopipi0pi0nu",
                                    "TaumTopipipinu",
                                    "TaumToK0pipi0nu",
                                    "TaumToKpipinu",
                                    "TaumToKpiKnu",
                                    "TaumToKpi0K0nu",
                                    "TaumToKs0piKl0nu",
                                    "TaumToKpi0pi0nu",
                                    "TaumToKl0piKl0nu",
                                    "TaumToKs0piKs0nu",
                                    "TaumTopipi0etanu",
                                    #"TaumTopipi0nugamma",
                                    "TaumTo3pipi0nu",
                                    "TaumTopi3pi0nu",
                                    "TaumTo3pi2pi0nu",
                                    "TaumTopi4pi0nu",
                                    "TaumTo5pinu",
                                    "TaumTo3pietanu",
                                    "TaumTopi2pi0etanu",
                                    "TaumTopipi0pi0omeganu",
                                    "TaumTopipipiomeganu",
                                    "TaumToKomegapi0nu",
                                    "TaumToKpi0pi0pi0nu",
                                    "TaumToKpipipi0nu",
                                    "TaumToKstaretanu",
                                    "TaumToK0pipi0pi0nu",
                                    "TaumTopipipiK0nu",
                                    "TaumToK0piK0pi0nu",
                                    "TaumToKpiKpi0nu"),
        #taumtoenunu = cms.vint32(3, -15, -16, -11, 12),
        #tauptoenunu = cms.vint32(3, -15, -16, -11, 12),
        #taumtomununu = cms.vint32(3, -15, -16, -13, 14),
        #tauptomununu = cms.vint32(3, -15, -16, -13, 14),
        #hadronic modes
        TaupTopinu = cms.vint32(2, -15, 16, 211),
        TaupToKnu = cms.vint32(2, -15, 16, 321),
        TaupTopipi0nu = cms.vint32(3, -15, 16, 111, 211),
        TaupToKK0nu = cms.vint32(3, -15, 16, 311, 321),
        TaupToKetanu = cms.vint32(3, -15, 16, 221, 321),
        TaupToK0pinu = cms.vint32(3, -15, 16, 211, -311),
        TaupToKpi0nu = cms.vint32(3, -15, 16, 111, 321),
        TaupTopipi0pi0nu = cms.vint32(4, -15, 16, 111, 111, 211),
        TaupTopipipinu = cms.vint32(4, -15, 16, 211, 211, -211),
        TaupToK0pipi0nu = cms.vint32(4, -15, 16, 111, 211, -311),
        TaupToKpipinu = cms.vint32(4, -15, 16, 211, -211, 321),
        TaupToKpiKnu = cms.vint32(4, -15, 16, 211, 321, -321),
        TaupToKpi0K0nu = cms.vint32(4, -15, 16, 111, 311, 321),
        TaupToKs0piKl0nu = cms.vint32(4, -15, 16, 130, 211, 310),
        TaupToKpi0pi0nu = cms.vint32(4, -15, 16, 111, 111, 321),
        TaupToKl0piKl0nu = cms.vint32(4, -15, 16, 130, 130, 211),
        TaupToKs0piKs0nu = cms.vint32(4, -15, 16, 211, 310, 310),
        TaupTopipi0etanu = cms.vint32(4, -15, 16, 111, 211, 221),
        TaupTopipi0nugamma = cms.vint32(4, -15, 16, 22, 111, 211),
        TaupTo3pipi0nu = cms.vint32(5, -15, 16, 111, 211, 211, -211),
        TaupTopi3pi0nu = cms.vint32(5, -15, 16, 111, 111, 111, 211),
        TaupTo3pi2pi0nu = cms.vint32(6, -15, 16, 111, 111, 211, 211, -211),
        TaupTopi4pi0nu = cms.vint32(6, -15, 16, 111, 111, 111, 111, 211),
        TaupTo5pinu = cms.vint32(6, -15, 16, 211, 211, 211, -211, -211),
        TaupTo3pietanu = cms.vint32(5, -15, 16, 211, 211, -211, 221),
        TaupTopi2pi0etanu = cms.vint32(5, -15, 16, 111, 111, 211, 221),
        TaupTopipi0pi0omeganu = cms.vint32(5, -15, 16, 111, 111, 211, 223),
        TaupTopipipiomeganu = cms.vint32(5, -15, 16, 211, 211, -211, 223),
        TaupToKomegapi0nu = cms.vint32(3, -15, 16, 223, 321),
        TaupToKpi0pi0pi0nu = cms.vint32(5, -15, 16, 111, 111, 111, 321),
        TaupToKpipipi0nu = cms.vint32(5, -15, 16, 111, 211, -211, 321),
        TaupToKstaretanu = cms.vint32(3, -15, 16, 221, -323),
        TaupToK0pipi0pi0nu = cms.vint32(5, -15, 16, 111, 111, 211, -311),
        TaupTopipipiK0nu = cms.vint32(5, -15, 16, 211, 211, -211, -311),
        TaupToK0piK0pi0nu = cms.vint32(5, -15, 16, 111, 211, -311, 311),
        TaupToKpiKpi0nu = cms.vint32(5, -15, 16, 111, 211, 321, -321),
        TaumTopinu = cms.vint32(2, 15, 16, -211),
        TaumToKnu = cms.vint32(2, 15, 16, -321),
        TaumTopipi0nu = cms.vint32(3, 15, 16, 111, -211),
        TaumToKK0nu = cms.vint32(3, 15, 16, 311, -321),
        TaumToKetanu = cms.vint32(3, 15, 16, 221, -321),
        TaumToK0pinu = cms.vint32(3, 15, 16, -211, -311),
        TaumToKpi0nu = cms.vint32(3, 15, 16, 111, -321),
        TaumTopipi0pi0nu = cms.vint32(4, 15, 16, 111, 111, -211),
        TaumTopipipinu = cms.vint32(4, 15, 16, -211, -211, 211),
        TaumToK0pipi0nu = cms.vint32(4, 15, 16, 111, -211, -311),
        TaumToKpipinu = cms.vint32(4, 15, 16, -211, 211, -321),
        TaumToKpiKnu = cms.vint32(4, 15, 16, -211, -321, 321),
        TaumToKpi0K0nu = cms.vint32(4, 15, 16, 111, 311, -321),
        TaumToKs0piKl0nu = cms.vint32(4, 15, 16, 130, -211, 310),
        TaumToKpi0pi0nu = cms.vint32(4, 15, 16, 111, 111, -321),
        TaumToKl0piKl0nu = cms.vint32(4, 15, 16, 130, 130, -211),
        TaumToKs0piKs0nu = cms.vint32(4, 15, 16, -211, 310, 310),
        TaumTopipi0etanu = cms.vint32(4, 15, 16, 111, -211, 221),
        TaumTopipi0nugamma = cms.vint32(4, 15, 16, 22, 111, -211),
        TaumTo3pipi0nu = cms.vint32(5, 15, 16, 111, -211, -211, 211),
        TaumTopi3pi0nu = cms.vint32(5, 15, 16, 111, 111, 111, -211),
        TaumTo3pi2pi0nu = cms.vint32(6, 15, 16, 111, 111, -211, -211, 211),
        TaumTopi4pi0nu = cms.vint32(6, 15, 16, 111, 111, 111, 111, -211),
        TaumTo5pinu = cms.vint32(6, 15, 16, -211, -211, -211, 211, 211),
        TaumTo3pietanu = cms.vint32(5, 15, 16, -211, -211, 211, 221),
        TaumTopi2pi0etanu = cms.vint32(5, 15, 16, 111, 111, -211, 221),
        TaumTopipi0pi0omeganu = cms.vint32(5, 15, 16, 111, 111, -211, 223),
        TaumTopipipiomeganu = cms.vint32(5, 15, 16, -211, -211, 211, 223),
        TaumToKomegapi0nu = cms.vint32(3, 15, 16, 223, -321),
        TaumToKpi0pi0pi0nu = cms.vint32(5, 15, 16, 111, 111, 111, -321),
        TaumToKpipipi0nu = cms.vint32(5, 15, 16, 111, -211, 211, -321),
        TaumToKstaretanu = cms.vint32(3, 15, 16, 221, -323),
        TaumToK0pipi0pi0nu = cms.vint32(5, 15, 16, 111, 111, -211, -311),
        TaumTopipipiK0nu = cms.vint32(5, 15, 16, -211, -211, 211, -311),
        TaumToK0piK0pi0nu = cms.vint32(5, 15, 16, 111, -211, -311, 311),
        TaumToKpiKpi0nu = cms.vint32(5, 15, 16, 111, -211, -321, 321)
        )
    )
